%define version 20170409

Name:           cppreference-devhelp
Version:        %{version}
Release:        1%{?dist}
Summary:        Offline cppreference documentation for devhelp

License:        CC-BY-SA
URL:            https://en.cppreference.com/w
Source0:        https://upload.cppreference.com/mwiki/images/b/bd/cppreference-doc-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  python3-lxml
Requires:       cppreference
Requires:       devhelp

%description
Offline cppreference documentation for devhelp.

%prep
tar xaf %{SOURCE0}
cd cppreference-doc-%{version}
sed -i 's#$(docdir)/html#$(docdir)#' Makefile

%build
cd cppreference-doc-%{version}
make docdir=%{_docdir}/cppreference doc_devhelp

%install
cd cppreference-doc-%{version}
install -DT -m 644 "output/cppreference-doc-en-c.devhelp2" \
    "%{buildroot}/usr/share/devhelp/books/cppreference-doc-en-c/cppreference-doc-en-c.devhelp2"
install -DT -m 644 "output/cppreference-doc-en-cpp.devhelp2" \
    "%{buildroot}/usr/share/devhelp/books/cppreference-doc-en-cpp/cppreference-doc-en-cpp.devhelp2"

%files
/usr/share/devhelp/books/cppreference-doc-en-c/cppreference-doc-en-c.devhelp2
/usr/share/devhelp/books/cppreference-doc-en-cpp/cppreference-doc-en-cpp.devhelp2


%changelog
* Sun Jun 24 2018 Lince <tsingyat@outlook.com>
- Initial build

